﻿using System;
using System.Threading.Tasks;

namespace GadgePiTemplate {
    public sealed partial class MainPage {
        /// <summary>
        /// Wraps the stuff internally so end code looks easier to grasp on.
        /// </summary>
        private static void RunAsynchronously(Task taskToRun) {
            Task.Run(async () => await taskToRun);
        }

        /// <summary>
        /// Wraps the stuff internally so end code looks easier to grasp on.
        /// </summary>
        private static void RunAsynchronously(Action taskToRun) {
            Task.Run(taskToRun);
        }

        /// <summary>
        /// Puts current thread to sleep for the provided number of milliseconds.
        /// </summary>
        private static void Sleep(int millisecondsToSleep) {
            Task.Run(async () => {
                await Task.Delay(TimeSpan.FromMilliseconds(millisecondsToSleep));
            }).Wait();
        }

        /// <summary>
        /// Puts current thread to sleep for the provided duration.
        /// </summary>
        private static void Sleep(TimeSpan durationToSleep) {
            Task.Run(async () => {
                await Task.Delay(durationToSleep);
            }).Wait();
        }
    }
}