﻿using System;
using System.Threading.Tasks;
using Windows.UI.Core;
using Windows.UI.Xaml.Media.Imaging;
using StablePoint.Hardware.GhiFezHat;

namespace GadgePiTemplate {
    public sealed partial class MainPage {
        private FezHat _theHat;
        private SimulatedLamp _simulatedLamp;
        private int _imageNumber = 2;

        public MainPage() {
            InitializeComponent();

            InitializeHat();

            RunAsynchronously(RunMyProgram);

            // Spinning up GUI updater thread.
            Task.Run(async () => {
                while (true) {
                    await Dispatcher.RunAsync(CoreDispatcherPriority.Low, UpdateGuiAutomatically);
                    await Task.Delay(TimeSpan.FromMilliseconds(100));
                }
            });
        }

        private void ClickMeButton_Click(object sender, Windows.UI.Xaml.RoutedEventArgs e) {
            if (_imageNumber == 2) {
                TheImage.Source = new BitmapImage(new Uri(BaseUri, "/Assets/1.bmp"));
                _imageNumber = 1;
            } else {
                TheImage.Source = new BitmapImage(new Uri(BaseUri, "/Assets/2.jpg"));
                _imageNumber = 2;
            }
        }
    }
}